.offer-display-feature-text-message {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical
}


.offer-display-features-container {
    display: grid;
    grid-template-columns: auto auto;
    width: 100%;
    padding: 5px
}

.improvedQuantityButton .a-dropdown-container .a-button-dropdown {
    width: 100%!important;
}

#dp {
    margin: 0 auto;
    min-width: 1000px;
    max-width: 1500px;
    background-color: #fff
}

#above-dp-container {
    margin-left: -18px;
    margin-right: -18px;
    margin-top: -20px;
    margin-bottom: 0!important;
    padding-bottom: 20px
}

.apparel #above-dp-container,.guild_artisan #above-dp-container,.guild_product #above-dp-container,.jewelry #above-dp-container,.shoes #above-dp-container,.watch #above-dp-container {
    margin-top: -10px;
    padding-bottom: 10px
}

.book #above-dp-container,.digitaltextfeeds #above-dp-container,.ebooks #above-dp-container {
    margin-top: -14px;
    padding-bottom: 14px
}

.audible_periodical #above-dp-container {
    margin-top: 0;
    padding-bottom: 0
}

/* ******** */
#amznStoresBylineLogoTextContainer {
    margin-left: 8px
}

#amznStoresBylineLogoImageContainer {
    flex-shrink: 0
}

#amznStoresBylineLogoImage {
    border-radius: 50%;
    border: 1px solid #f0f0f0
}

.amznStoresTruncateSingleLine {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap
}

.amznStoresVerticallyCenterContents {
    display: flex;
    align-items: center
}

/* ******** */
.ssf-share-trigger {
    cursor: pointer;
    display: inline-block;
    background-size: cover;
    outline: 0
}

.ssf-share-trigger.ssf-no-style {
    background-image: none!important;
    height: auto!important;
    width: auto!important;
    display: block
}

.ssf-noclick {
    pointer-events: none
}

.ssf-background {
    border: 1px solid #ddd;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 10px;
    right: 10px;
    z-index: 1;
    background-color: #fff;
    width: calc(24px * 1.4);
    height: calc(24px * 1.4);
    position: absolute
}

.ssf-background.ssf-bg-count {
    border: none
}

.ssf-background-float {
    border: 1px solid #ddd;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 10px;
    right: 10px;
    z-index: 1;
    background-color: #fff;
    width: calc(24px * 1.4);
    height: calc(24px * 1.4);
    float: right
}

.ssf-background-float.ssf-bg-count {
    border: none
}

@media (prefers-contrast:more) {
    .ssf-background {
        forced-color-adjust: none
    }

    .ssf-background-float {
        forced-color-adjust: none
    }
}

.ssf-share-btn {
    right: 8px;
    top: 8px;
    z-index: 1;
    position: absolute
}

.ssf-share-btn-float {
    right: 8px;
    top: 8px;
    z-index: 1;
    float: right
}

.link-section,.ssf-channel {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}

.ssf-channel-v {
    padding: .5em
}

.ssf-channel-v:not(:last-child) {
    border-bottom: 1px #ddd solid
}

.ssf-channel-v span {
    margin-left: .5em
}

.ssf-channel-v a {
    display: block;
    word-break: break-all
}

.ssf-channel-v a:hover {
    text-decoration: none
}

.ssf-channel-h i,.ssf-channel-v i {
    background-size: cover;
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    width: 24px;
    height: 24px
}

.ssf-channel-popover-icon {
    background-size: cover;
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    width: 24px;
    height: 24px;
    background-size: contain;
    padding-right: 30px
}

.ssf-h-icons {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap: 20px
}

.ssf-channel-h {
    display: flex;
    flex-flow: column nowrap;
    align-items: center
}

.ssf-channel-h a {
    padding: 1em;
    border: 1px solid #ddd;
    border-radius: 50%
}

.ssf-channel-h i {
    width: 40px;
    height: 40px
}

.ssf-copy-section {
    display: flex;
    align-items: center;
    gap: 10px
}

.a-popover-inner.a-padding-none .a-button-close {
    margin: 5px 5px 5px 5px
}

.link-section {
    flex: 1 0
}

/* ******** */
